%define major	3
%define libname %mklibname %{name} %{major}

%define subrel 1

Summary: 	Encrypted pass-through filesystem for Linux
Name:		encfs
Version:	1.6.0
Release:	%mkrel 0
License:	GPLv3+
Group:		File tools
Source0:	http://encfs.googlecode.com/files/%{name}-1.6-1.tgz
URL: 		http://www.arg0.net/encfs
Requires:	fuse >= 2.6
Requires:	kmod(fuse)
Requires:	openssl >= 0.9.7
BuildRequires:	rlog-devel >= 1.3, fuse-devel >= 2.6, openssl-devel >= 0.9.7
BuildRequires:	chrpath
BuildRequires:	boost-devel >= 1.34
BuildRequires:	autoconf-archive
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
EncFS implements an encrypted pass-through filesystem in userspace using
FUSE. File names and contents are encrypted using OpenSSL.

%package -n 	%{libname}
Summary:	Libraries for encfs
Group:		System/Libraries

%description -n	%{libname}
Libraries for encfs.

%prep
%setup -q -n %{name}-1.6

%build
%configure2_5x --disable-rpath --with-boost-serialization=boost_serialization-mt --with-boost-system=boost_system-mt --with-boost-libdir=%{_libdir}
%make SED=/usr/bin/sed

%install
rm -fr %{buildroot}
%makeinstall_std
%find_lang %{name}

chrpath -d %{buildroot}%{_bindir}/{encfs,encfsctl}

# unneeded files
rm -f %{buildroot}%{_libdir}/libencfs.la
rm -f %{buildroot}%{_libdir}/libencfs.so

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc README AUTHORS ChangeLog
%{_bindir}/*
%{_mandir}/man?/*

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/libencfs.so.%{major}*


%changelog
* Sun Aug 01 2010 Ahmad Samir <ahmadsamir@mandriva.org> 1.6.0-0.1mdv2010.1
+ Revision: 564880
- update to 1.6.0
- drop patches, fixed upstream
- bump some BR versions
- remove 'mdkversion < 200900' bits, not needed any more

* Wed Apr 21 2010 Funda Wang <fwang@mandriva.org> 1.5.2-9mdv2010.1
+ Revision: 537382
- rebuild

* Wed Apr 21 2010 Funda Wang <fwang@mandriva.org> 1.5.2-8mdv2010.1
+ Revision: 537304
- rebuild

* Mon Feb 08 2010 Anssi Hannula <anssi@mandriva.org> 1.5.2-7mdv2010.1
+ Revision: 501882
- rebuild for new boost

* Wed Feb 03 2010 Funda Wang <fwang@mandriva.org> 1.5.2-6mdv2010.1
+ Revision: 500263
- rebuild for new boost

* Tue Nov 24 2009 Jérôme Brenier <incubusss@mandriva.org> 1.5.2-5mdv2010.1
+ Revision: 469748
- rebuild for new rlog

* Fri Aug 21 2009 Funda Wang <fwang@mandriva.org> 1.5.2-4mdv2010.0
+ Revision: 418831
- fix linkage

* Wed Aug 12 2009 Frederic Crozat <fcrozat@mandriva.com> 1.5.2-3mdv2010.0
+ Revision: 415443
- Patch0: fix build
- Remove old patch from svn
- Fix build on x86-64
- Rebuild with latest boost

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - rebuild

  + Jérôme Soyer <saispo@mandriva.org>
    - New upstream release
    - Add patch for Boost
    - New upstream release

* Sat Dec 20 2008 Funda Wang <fwang@mandriva.org> 1.4.2-5mdv2009.1
+ Revision: 316573
- rebuild for new boost

* Mon Aug 18 2008 Per Øyvind Karlsen <peroyvind@mandriva.org> 1.4.2-4mdv2009.0
+ Revision: 273467
- rebuild against new boost

* Tue Jul 15 2008 Adam Williamson <awilliamson@mandriva.org> 1.4.2-3mdv2009.0
+ Revision: 236180
- pass --with-boost-system as well as --with-boost-serialization to configure
- disable --no-undefined and --as-needed (unresolvable build failure)
- buildrequires autoconf-archive (needed for boost-system.patch)
- add boost-system.patch - fixes build by building against boost-system as
  well as boost-serialization
- add gcc43.patch to add several missing #defines that break build
- clean spec
- change the explicit dkms-fuse require to kmod(fuse)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Fri May 02 2008 Funda Wang <fwang@mandriva.org> 1.4.2-2mdv2009.0
+ Revision: 200074
- specify mt version of boost
- BR boost
- New version 1.4.2

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 1.3.2-1mdv2008.1
+ Revision: 140729
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Jul 07 2007 Funda Wang <fwang@mandriva.org> 1.3.2-1mdv2008.0
+ Revision: 49395
- New version
- Import encfs



* Fri Jun 30 2006 Couriousous <couriousous@mandriva.org> 1.3.1-1mdv2007.0
- More fixes & Fix x86_64 build
- 1.3.1

* Wed Jun 28 2006 Lev Givon <lev@mandriva.org> 1.2.5-1.2mdk
- More spec file tweaks.

* Mon Jan 09 2006 Moreno Manzini <moreno.mg@gmail.com> 1.2.5-1.1mdk
- 1.2.5
- fixed some spec bugs.

* Tue Sep 13 2005 Madman <luca.n88@gmail.com> 1.2.4-1.1mdk
- Updated to 1.2.4-1 version.
- Fixed bug: don't try to decipher filenames which are too short to be valid.
- Feature: added "export" command to encfsctl.
- Feature: added support for static libencfs build.
- Feature: location of encfs configuration file can be overridden using ENCFS5_CONFIG environment variable. This allows keeping the .encfs5 configuration file in a separate location from the encoded data, for example.
- Feature: prevent user from trying to mount encfs results over the top of the encrypted directory.

* Sun Jul 24 2005 Madman <luca.n88@gmail.com> 1.2.3-1.1mdk
- First build for Mandriva 2006 Cooker.
- Fixed bug: with certain filesystem options a directory could not be renamed if it contained symbolic links.
- Fixed bug: allow symbolic link to "/".
- Feature: initialize OpenSSL hardware acceleration engine support.
- Feature: added "cat" command to encfsctl, which can dump the contents of a file without mounting the FS. 
- Feature: updated libtool.
